# Data mining of LXT2 files (lxt2miner)

    LXT2MINER(1)		     Dumpfile Data Mining		  LXT2MINER(1)

    NAME
           lxt2miner - Data mining of LXT2 files

    SYNTAX
           lxt2miner [option]... [LXT2FILE]

    DESCRIPTION
           Mines  LXT2  files  for specific data values and generates gtkwave save
           files to stdout for future reload.

    OPTIONS
           -d,--dumpfile <filename>
    	      Specify LXT2 input dumpfile.

           -m,--match <filename>
    	      Specifies "bitwise" match data (binary, real, string)

           -x,--hex <value>
    	      Specifies hexadecimal match data that will automatically be con-
    	      verted to binary for searches

           -n,--namesonly
    	      Indicates	 that  only  facnames  should  be printed in a gtkwave
    	      savefile compatible format.  By doing this, the file can be used
    	      to specify which traces are to be imported into gtkwave.

           -h,--help
    	      Show help screen.

    EXAMPLES
           lxt2miner dumpfile.lxt2 --match 20470000 -n

           This attempts to match the hex value 20470000 across all facilities and
           when the value is encountered, the facname only is printed to stdout in
           order to generate a gtkwave compatible save file.

    LIMITATIONS
           lxt2miner  only prints the first time a value is encountered for a spe-
           cific net.  This is done in order to cut down on	 the  size  of	output
           files  and to aid in following data such as addresses through a simula-
           tion model.

    AUTHORS
           Anthony Bybell <bybell@nc.rr.com>

    SEE ALSO
           vztminer(1) vzt2vcd(1) lxt2vcd(1) vcd2lxt2(1) gtkwave(1)

    Anthony Bybell			    1.3.64			  LXT2MINER(1)